rational_cln_imp.h File Reference

Multiprecision rational constants; wraps a CLN multiprecision rational. More...

`#include "cvc4_public.h"`
`#include <gmp.h>`
`#include <string>`
`#include <sstream>`
`#include <cassert>`
`#include <cln/rational.h>`
`#include <cln/input.h>`
`#include <cln/io.h>`
`#include <cln/output.h>`
`#include <cln/rational_io.h>`
`#include <cln/number_io.h>`
`#include <cln/dfloat.h>`
`#include <cln/real.h>`
`#include "util/exception.h"`
`#include "util/integer.h"`
Include dependency graph for rational_cln_imp.h:

Go to the source code of this file.

## Data Structures

class | CVC4::RationalFromDoubleException
class | CVC4::Rational
| A multi-precision rational constant. More...
struct | CVC4::RationalHashFunction

## Namespaces

namespace | CVC4

## Functions

std::ostream & | CVC4::operator<< (std::ostream &os, const Rational &n)

## Detailed Description

Multiprecision rational constants; wraps a CLN multiprecision rational.

    ** Original author: Tim King
    ** Major contributors: Morgan Deters
    ** Minor contributors (to current version): Dejan Jovanovic
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

Multiprecision rational constants; wraps a CLN multiprecision rational.

Definition in file rational_cln_imp.h.